<app-navbar name="Transferencias"></app-navbar>

<ion-content>
  <ion-list>
    <ion-list-header> Metodos de Transferencia </ion-list-header>

    <ion-item button (click)="opQR()">
      <ion-avatar slot="start">
        <ion-icon name="qr-scanner"></ion-icon>
      </ion-avatar>
      <ion-label>
        <h2>Generar Código QR</h2>
        <p>Te permitira que hagan transacciones a tú cuenta</p>
      </ion-label>
    </ion-item>
    <ion-item (click)="botonQR()" button>
      <ion-avatar slot="start">
        <ion-icon name="qr-scanner"></ion-icon>
      </ion-avatar>
      <ion-label>
        <h2>Transferir por Imagen</h2>
        <h3></h3>
        <p>Te permitira recibir transferencia de un QR generado de otra cuenta</p>
      </ion-label>
    </ion-item>

  
    
  </ion-list>


  <div *ngIf="opcion==1">
   <div class="container" >
    <ion-card class="form-login" style="padding:20px;">
      <mat-form-field floatLabel="always">
        <mat-label>Monto</mat-label>
        <input matInput type="number" class="example-right-align" [formControl]="monto" [errorStateMatcher]="matcher"placeholder="0">
        <span matPrefix>$&nbsp;</span>
        <span matSuffix>.00</span>


        <mat-error *ngIf=" !monto.hasError('required')">
          
          Por favor Ingrese un monto
          </mat-error>
          <mat-error *ngIf="monto.hasError('required')">
          Monto<strong>Requerido</strong>
  
          </mat-error>
      
      </mat-form-field>
    
      <mat-form-field >
        <mat-label>Moneda</mat-label>
        <mat-select [formControl]="moneda" [errorStateMatcher]="matcher"
        >
          
          <mat-option value="USD" >Dolar</mat-option>
          <mat-option value="COP" >Peso Colombiano</mat-option>
  
        </mat-select>      
        <mat-error *ngIf=" !moneda.hasError('required')">
          
          Por favor Ingrese un tipo de Moneda
          </mat-error>
          <mat-error *ngIf="moneda.hasError('required')">
          Tipo de Moneda<strong>Requerida</strong>
  
          </mat-error>
      
      </mat-form-field>
  
      <mat-form-field >
        <mat-label>Cuentas Asociadas</mat-label>
        <mat-select  [formControl]="cuenta" 
        >

          <mat-option *ngFor="let i of accounts" value="{{i.codigo}}" >{{i.codigo}}</mat-option>
      
  
        </mat-select>      
      
      
      </mat-form-field>
      <br>
      <button class="btn btn-danger"[disabled]="monto.invalid || moneda.invalid" (click)="generarQR()">Generar QR de Transferencia</button>

    </ion-card>

   </div>

  </div>
  <div class="animated fadeInUp" *ngIf="opcion==3" style="width: 250px;margin: auto;">
    <ion-card style="padding:20px;" button>
      <ngx-qrcode  [value]="value" (click)="qrSaved($event)"  ></ngx-qrcode>
      <button class="btn btn-danger" (click)="terminarTransferencia()">Terminar transferencia</button>

    </ion-card>
   
  </div>

  <div *ngIf="opcion==4" class="animated fadeInUp">
    
    <div class="container" >
      <p>Selecciona tú cuenta para recibr la siguiente transferencia:</p>

      <div *ngFor="let i of transfer" class="container form-login">
        <h2 style="text-align: center;">{{formatCOPValue(i.montou)}}</h2><br>
        <p><b>Cuenta NO.</b>{{i.cuentaOrigen}}</p><br>

        <mat-form-field >
          <mat-label>Selecciona Cuenta</mat-label>
          <mat-select [formControl]="cuentaP" 
          >
            
            <mat-option  *ngFor="let i of accountsP" value="{{i.codigo}}" >{{i.codigo}}</mat-option>
    
          </mat-select>      
          
        </mat-form-field>
        <button class="btn btn-danger" (click)="transferir(i)">Transferir</button>
      </div>
  
    </div>
  </div>
</ion-content>
